=== debian/changelog ===
xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Declare Rules-Requires-Root: no.
  * Simplify d/rules.
  * Omit the Debian revision from the dkms module version.
  * dkms.conf: Set BUILD_EXCLUSIVE_CONFIG="CONFIG_PCI".
  * dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="3.18" for pgprot_device().

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Feb 2025 19:00:34 +0100

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix dkms build failure with kernel 6.10 (Closes: #1077678)
    - add debian/patches/0005-xtrx.c-fix-build-error-with-kernel-6.10.patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 30 Sep 2024 09:55:05 +0700

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move udev rules into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:11:59 +0200

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dkms build failure with kernel 6.4 (Closes: #1041307)
    - add debian/patches/0004-xtrx.c-fix-build-error-with-kernel-6.4.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 01 Aug 2023 00:08:42 +0800

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dkms build failure with kernel 6.3 (Closes: #1038003)
    - add debian/patches/0003-xtrx.c-fix-build-error-with-kernel-6.3.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 24 Jun 2023 04:22:04 +0800

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dkms build failure with kernel 6.1 (Closes: #1029135)
    - add debian/patches/0002-xtrx.c-fix-build-error-with-kernel-6.1.patch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 21 Jan 2023 03:20:02 +0800

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dkms build failure (Closes: #1012616)
    - Add 0001-xtrx-fix-PCI-DMA-allow-free-with-kernel-5.18.patch
    - This patch is from the upstream commit 1262071c467391cd.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 17 Nov 2022 13:30:42 +0800

xtrx-dkms (0.0.1+git20190320.5ae3a3e-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

 -- Christoph Berg <myon@debian.org>  Sat, 04 Jun 2022 13:12:14 +0200

xtrx-dkms (0.0.1+git20190320.5ae3a3e-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Jan 2021 13:09:59 +0100

xtrx-dkms (0.0.1+git20190320.5ae3a3e-1) unstable; urgency=medium

  * Initial release (Closes: #945156)

 -- Sepi Gair <sepigair@email.cz>  Mon, 13 Apr 2020 19:12:14 +0200
