=== debian/control ===
Source: xtrx-dkms
Section: kernel
Priority: optional
Maintainer: Sepi Gair <sepigair@email.cz>
Build-Depends: debhelper-compat (= 12), dh-sequence-dkms,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/xtrx-sdr/xtrx_linux_pcie_drv
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/xtrx-dkms
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/xtrx-dkms.git
Testsuite: autopkgtest-pkg-dkms

Package: xtrx-dkms
Architecture: all
Depends: ${misc:Depends}
Description: XTRX PCI driver for Linux
 XTRX is the smallest easily embeddable software-defined radio (SDR). It is
 both affordable and high-performance. XTRX is designed to enable the next
 generation of wireless solutions, from prototype to production.
 .
 This package contains the source for the XTRX kernel module.
