=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=none

execute_after_dh_install:
	dh_install \
		Makefile \
		xtrx.c \
		xtrx_defs.h \
		xtrxll_regs.vh \
		usr/src/xtrx-$(DEB_VERSION_UPSTREAM)

override_dh_installudev:
	dh_installudev --priority=50
